<script lang="ts">
  import type { TeamScorecard$result } from "$houdini";

  type FeedbackItems = NonNullable<TeamScorecard$result["events"][0]["teams"][0]["team"]["feedbacks"]>
  export let teamFeedback: FeedbackItems;

  function groupFeedbackByPrompt(feedback: FeedbackItems): Record<string, FeedbackItems> {
    const keys = new Set(feedback.map((f) => f.prompt));
    const ret: Record<string, FeedbackItems> = {};
    for (let key of keys) {
      ret[key] = feedback.filter((f) => f.prompt === key);
    }
    return ret;
  }
</script>

<div class="text-4xl md:text-5xl font-extrabold font-comfortaa pt-10">What did our team have to say about yours?</div>
<div class="flex flex-col pt-4">
  {#each Object.entries(groupFeedbackByPrompt(teamFeedback)) as [prompt, feedbacks]}
    <div class="text-2xl md:text-3xl font-poppins pt-6">{prompt}</div>
    {#each feedbacks as feedback}
      <div class="text border-l-4 border-cyber-blue-600 pl-3 my-3 font-shantell-sans">
        <p class="whitespace-pre-wrap text-lg md:text-xl" style="max-width: 1100px">{feedback.answer}</p>
        <p class="py-2">- {feedback.group}</p>
      </div>
    {/each}
  {/each}
</div>
